package com.pcloud.book.base.enums;

import java.util.List;

import cn.hutool.core.collection.CollUtil;

/**
 * 魔方书枚举类
 */
public enum MofangBookTypeEnum {
    /**
     * 1-北教小雨
     */
    BJXY(1),
    /**
     * 2-世纪华阳
     */
    SJHY(2),

    /**
     * 3-邹慕白
     */
    ZMB(3),
    /**
     * 4-万有文化
     */
    WYWH(4),

    /**
     * 山东新鑫
     */
    SDXX(6),
    /**
     * 浙江教育出版社
     */
    ZHE_JIANG(7),
    /**
     * 青岛
     */
    QING_DAO(8);

    public final Integer value;

    private MofangBookTypeEnum(Integer value) {
        this.value = value;
    }
    public static final List<Integer> bjxyType= CollUtil.toList(BJXY.value,SJHY.value);
    public static final List<Integer> zmbType=CollUtil.toList(WYWH.value,  ZMB.value, QING_DAO.value);

    public static final List<Integer> sdxxType= CollUtil.toList(SDXX.value, ZHE_JIANG.value);
}
